;############################################################################################
; AutoIt3 Wrapper docs -> http://www.autoitscript.com/autoit3/scite/docs/AutoIt3Wrapper.htm
;############################################################################################

#AutoIt3Wrapper_Run_Obfuscator=Y
#obfuscator_parameters=/cs=1 /cn=1 /cf=1 /cv=1 /sf /sv
#AutoIt3Wrapper_Res_SaveSource=N
#AutoIt3Wrapper_UseX64=N
#AutoIt3Wrapper_Compile_both=N
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_UseUpx=Y
#AutoIt3Wrapper_UPX_Parameters=-qq --best --lzma --compress-icons=2
#AutoIt3Wrapper_res_requestedExecutionLevel=None    ;None, asInvoker, highestAvailable or requireAdministrator   (default=None)

;#AutoIt3Wrapper_Res_ProductVersion=x.x.x.x	; Broken, use #AutoIt3Wrapper_Res_Field=ProductVersion|x.x.x as workarround.
#AutoIt3Wrapper_Res_Field=ProductVersion|Freeware
#AutoIt3Wrapper_Res_Fileversion=1.0.2.48
#AutoIt3Wrapper_Res_FileVersion_AutoIncrement=N	;(Y/N/P) AutoIncrement FileVersion After Aut2EXE is finished. default=N. P=Prompt, Will ask at Compilation time if you want to increase the versionnumber
#AutoIt3Wrapper_Res_Language=1033	;Resource Language code . german = 1031, english (U.S.) = 1033. default 2057=English (United Kingdom). For a List see http://technet.microsoft.com/en-us/library/dd346950.aspx

#AutoIt3Wrapper_OutFile=..\..\COMPILED\SMACheck.exe
#AutoIt3Wrapper_OutFile_X64=..\..\COMPILED\SMACheck_x64.exe
#AutoIt3Wrapper_Icon=.\resources\gfx\smacheck-icon.ico
#AutoIt3Wrapper_Res_Field=OriginalFileName|SMACheck.exe

#AutoIt3Wrapper_Res_Comment=
#AutoIt3Wrapper_Res_Field=ProductName|SMACheck
#AutoIt3Wrapper_Res_Description=SMACheck
#AutoIt3Wrapper_Res_LegalCopyright=SMACbans.com
#AutoIt3Wrapper_Res_Field=CompanyName|SpiffyTek (http://spiffytek.com)
;#AutoIt3Wrapper_Res_Field=Author|M.Lotz (m.lotz@spiffytek.com)

#AutoIt3Wrapper_res_file_add=.\resources\gfx\guibg.jpg, rt_rcdata, img_bg; http://www.autoitscript.com/forum/topic/51103-resources-udf/
;#AutoIt3Wrapper_Res_File_Add=I:\SVN\_Mercurial\ZNC Tool\src\bg.bmp, rt_bitmap, img_bg

;; Countryflags
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ad.png, rt_rcdata, ad.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ae.png, rt_rcdata, ae.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\af.png, rt_rcdata, af.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ag.png, rt_rcdata, ag.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ai.png, rt_rcdata, ai.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\al.png, rt_rcdata, al.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\am.png, rt_rcdata, am.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\an.png, rt_rcdata, an.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ao.png, rt_rcdata, ao.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ar.png, rt_rcdata, ar.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\as.png, rt_rcdata, as.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\at.png, rt_rcdata, at.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\au.png, rt_rcdata, au.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\aw.png, rt_rcdata, aw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ax.png, rt_rcdata, ax.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\az.png, rt_rcdata, az.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ba.png, rt_rcdata, ba.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bb.png, rt_rcdata, bb.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bd.png, rt_rcdata, bd.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\be.png, rt_rcdata, be.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bf.png, rt_rcdata, bf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bg.png, rt_rcdata, bg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bh.png, rt_rcdata, bh.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bi.png, rt_rcdata, bi.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bj.png, rt_rcdata, bj.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bm.png, rt_rcdata, bm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bn.png, rt_rcdata, bn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bo.png, rt_rcdata, bo.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\br.png, rt_rcdata, br.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bs.png, rt_rcdata, bs.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bt.png, rt_rcdata, bt.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bv.png, rt_rcdata, bv.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bw.png, rt_rcdata, bw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\by.png, rt_rcdata, by.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\bz.png, rt_rcdata, bz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ca.png, rt_rcdata, ca.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\catalonia.png, rt_rcdata, catalonia.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cc.png, rt_rcdata, cc.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cd.png, rt_rcdata, cd.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cf.png, rt_rcdata, cf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cg.png, rt_rcdata, cg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ch.png, rt_rcdata, ch.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ci.png, rt_rcdata, ci.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ck.png, rt_rcdata, ck.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cl.png, rt_rcdata, cl.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cm.png, rt_rcdata, cm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cn.png, rt_rcdata, cn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\co.png, rt_rcdata, co.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cr.png, rt_rcdata, cr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cs.png, rt_rcdata, cs.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cu.png, rt_rcdata, cu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cv.png, rt_rcdata, cv.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cx.png, rt_rcdata, cx.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cy.png, rt_rcdata, cy.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\cz.png, rt_rcdata, cz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\de.png, rt_rcdata, de.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\dj.png, rt_rcdata, dj.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\dk.png, rt_rcdata, dk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\dm.png, rt_rcdata, dm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\do.png, rt_rcdata, do.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\dz.png, rt_rcdata, dz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ec.png, rt_rcdata, ec.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ee.png, rt_rcdata, ee.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\eg.png, rt_rcdata, eg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\eh.png, rt_rcdata, eh.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\england.png, rt_rcdata, england.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\er.png, rt_rcdata, er.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\es.png, rt_rcdata, es.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\et.png, rt_rcdata, et.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\eu.png, rt_rcdata, eu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\fi.png, rt_rcdata, fi.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\fj.png, rt_rcdata, fj.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\fk.png, rt_rcdata, fk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\fm.png, rt_rcdata, fm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\fo.png, rt_rcdata, fo.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\fr.png, rt_rcdata, fr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ga.png, rt_rcdata, ga.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\galicia.png, rt_rcdata, galicia.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gb.png, rt_rcdata, gb.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gd.png, rt_rcdata, gd.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ge.png, rt_rcdata, ge.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gf.png, rt_rcdata, gf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gg.png, rt_rcdata, gg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gh.png, rt_rcdata, gh.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gi.png, rt_rcdata, gi.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gl.png, rt_rcdata, gl.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gm.png, rt_rcdata, gm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gn.png, rt_rcdata, gn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gp.png, rt_rcdata, gp.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gq.png, rt_rcdata, gq.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gr.png, rt_rcdata, gr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gs.png, rt_rcdata, gs.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gt.png, rt_rcdata, gt.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gu.png, rt_rcdata, gu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gw.png, rt_rcdata, gw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\gy.png, rt_rcdata, gy.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\hk.png, rt_rcdata, hk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\hm.png, rt_rcdata, hm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\hn.png, rt_rcdata, hn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\hr.png, rt_rcdata, hr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ht.png, rt_rcdata, ht.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\hu.png, rt_rcdata, hu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\id.png, rt_rcdata, id.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ie.png, rt_rcdata, ie.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\il.png, rt_rcdata, il.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\im.png, rt_rcdata, im.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\in.png, rt_rcdata, in.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\io.png, rt_rcdata, io.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\iq.png, rt_rcdata, iq.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ir.png, rt_rcdata, ir.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\is.png, rt_rcdata, is.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\it.png, rt_rcdata, it.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\je.png, rt_rcdata, je.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\jm.png, rt_rcdata, jm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\jo.png, rt_rcdata, jo.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\jp.png, rt_rcdata, jp.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ke.png, rt_rcdata, ke.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\kg.png, rt_rcdata, kg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\kh.png, rt_rcdata, kh.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ki.png, rt_rcdata, ki.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\km.png, rt_rcdata, km.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\kn.png, rt_rcdata, kn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\kp.png, rt_rcdata, kp.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\kr.png, rt_rcdata, kr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\kw.png, rt_rcdata, kw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ky.png, rt_rcdata, ky.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\kz.png, rt_rcdata, kz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\la.png, rt_rcdata, la.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\lb.png, rt_rcdata, lb.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\lc.png, rt_rcdata, lc.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\li.png, rt_rcdata, li.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\lk.png, rt_rcdata, lk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\lr.png, rt_rcdata, lr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ls.png, rt_rcdata, ls.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\lt.png, rt_rcdata, lt.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\lu.png, rt_rcdata, lu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\lv.png, rt_rcdata, lv.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ly.png, rt_rcdata, ly.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ma.png, rt_rcdata, ma.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mc.png, rt_rcdata, mc.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\md.png, rt_rcdata, md.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\me.png, rt_rcdata, me.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mf.png, rt_rcdata, mf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mg.png, rt_rcdata, mg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mh.png, rt_rcdata, mh.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mk.png, rt_rcdata, mk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ml.png, rt_rcdata, ml.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mm.png, rt_rcdata, mm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mn.png, rt_rcdata, mn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mo.png, rt_rcdata, mo.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mp.png, rt_rcdata, mp.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mq.png, rt_rcdata, mq.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mr.png, rt_rcdata, mr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ms.png, rt_rcdata, ms.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mt.png, rt_rcdata, mt.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mu.png, rt_rcdata, mu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mv.png, rt_rcdata, mv.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mw.png, rt_rcdata, mw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mx.png, rt_rcdata, mx.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\my.png, rt_rcdata, my.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\mz.png, rt_rcdata, mz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\na.png, rt_rcdata, na.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nc.png, rt_rcdata, nc.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nc2.png, rt_rcdata, nc2.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ne.png, rt_rcdata, ne.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nf.png, rt_rcdata, nf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ng.png, rt_rcdata, ng.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ni.png, rt_rcdata, ni.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nl.png, rt_rcdata, nl.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\no.png, rt_rcdata, no.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nocountry.png, rt_rcdata, nocountry.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\np.png, rt_rcdata, np.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nr.png, rt_rcdata, nr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nu.png, rt_rcdata, nu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\nz.png, rt_rcdata, nz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\om.png, rt_rcdata, om.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pa.png, rt_rcdata, pa.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pe.png, rt_rcdata, pe.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pf.png, rt_rcdata, pf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pg.png, rt_rcdata, pg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ph.png, rt_rcdata, ph.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pk.png, rt_rcdata, pk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pl.png, rt_rcdata, pl.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pm.png, rt_rcdata, pm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pn.png, rt_rcdata, pn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pr.png, rt_rcdata, pr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ps.png, rt_rcdata, ps.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pt.png, rt_rcdata, pt.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\pw.png, rt_rcdata, pw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\py.png, rt_rcdata, py.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\qa.png, rt_rcdata, qa.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\re.png, rt_rcdata, re.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ro.png, rt_rcdata, ro.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\rs.png, rt_rcdata, rs.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ru.png, rt_rcdata, ru.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\rw.png, rt_rcdata, rw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sa.png, rt_rcdata, sa.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sb.png, rt_rcdata, sb.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sc.png, rt_rcdata, sc.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\scotland.png, rt_rcdata, scotland.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sd.png, rt_rcdata, sd.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\se.png, rt_rcdata, se.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sg.png, rt_rcdata, sg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sh.png, rt_rcdata, sh.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\si.png, rt_rcdata, si.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sj.png, rt_rcdata, sj.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sk.png, rt_rcdata, sk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sl.png, rt_rcdata, sl.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sm.png, rt_rcdata, sm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sn.png, rt_rcdata, sn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\so.png, rt_rcdata, so.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sr.png, rt_rcdata, sr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\st.png, rt_rcdata, st.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sv.png, rt_rcdata, sv.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sy.png, rt_rcdata, sy.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\sz.png, rt_rcdata, sz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tc.png, rt_rcdata, tc.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\td.png, rt_rcdata, td.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tf.png, rt_rcdata, tf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tg.png, rt_rcdata, tg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\th.png, rt_rcdata, th.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tj.png, rt_rcdata, tj.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tk.png, rt_rcdata, tk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tl.png, rt_rcdata, tl.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tm.png, rt_rcdata, tm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tn.png, rt_rcdata, tn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\to.png, rt_rcdata, to.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tr.png, rt_rcdata, tr.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tt.png, rt_rcdata, tt.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tv.png, rt_rcdata, tv.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tw.png, rt_rcdata, tw.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\tz.png, rt_rcdata, tz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ua.png, rt_rcdata, ua.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ug.png, rt_rcdata, ug.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\uk.png, rt_rcdata, uk.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\um.png, rt_rcdata, um.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\us.png, rt_rcdata, us.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\uy.png, rt_rcdata, uy.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\uz.png, rt_rcdata, uz.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\va.png, rt_rcdata, va.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\vc.png, rt_rcdata, vc.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ve.png, rt_rcdata, ve.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\vg.png, rt_rcdata, vg.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\vi.png, rt_rcdata, vi.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\vn.png, rt_rcdata, vn.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\vu.png, rt_rcdata, vu.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\wales.png, rt_rcdata, wales.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\wf.png, rt_rcdata, wf.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ws.png, rt_rcdata, ws.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\ye.png, rt_rcdata, ye.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\yt.png, rt_rcdata, yt.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\za.png, rt_rcdata, za.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\zm.png, rt_rcdata, zm.png
#AutoIt3Wrapper_res_file_add=.\resources\gfx\flags\zw.png, rt_rcdata, zw.png

;############################################################################################

Global $VERSION = "1.0.2 DEV"

#NoTrayIcon

#include "main.au3"